@echo off
cls
title Creo Purge Subs 

rem - CREOPURGESUBS.BAT
rem ================================================================
rem - Place this batch file in the c:\Utilities directory (create it if needed)
rem - 
rem - This batch program will run the Creo Parametric purge.bat file from
rem - the directory passed to it and all subdirectories below there.
rem - 
rem - A valid starting path should be passed to this program.
rem - Edit the value of PURGECMD in this script to suit your environment
rem ================================================================
rem - Olaf Corten
rem - creopurge@proesite.com
rem ================================================================
rem - Rev.   Date	   Changes
rem - ----   -------   ---------------------------------------------
rem -  A.1   20130114  Fixed bug: Added /D to cd command.
rem -  A     20130113
rem ================================================================

REM Customize the location of purge.bat to your environment
REM set PURGECMD=c:\Program Files\PTC\Creo 2.0\Parametric\bin\purge.bat
set PURGECMD=c:\Program Files\PTC\Creo 2.0\Parametric\bin\purge.bat

if !%1==! goto nopath

if NOT EXIST "%PURGECMD%" goto nopurge

if not exist "%*\*.*" goto badpath

:start
  title Creo Purge Subs from %*
  echo Recursive purge from %* ...
  cd /D "%*"
  call :subpurge %*
  FOR /D /R %%a IN (*.*) do call :subpurge %%a
  goto complete

:subpurge 
  echo Purging, %*
  cd "%*"
  call "%PURGECMD%"
  goto :EOF

:nopurge
  echo.
  echo ERROR - Cannot find %PURGECMD% ....
  echo.
  echo You must edit %0 to point to the correct location of purge.bat
  goto complete
  
:nopath
  echo.
  echo ERROR - No path provided....
  echo.
  echo You must provide a path when calling %0
  goto complete

:badpath
  echo.
  echo ERROR - "%1" is not a valid path....
  echo.
  echo You must provide a valid path when calling %0
  goto complete

:complete
  echo.
  echo Purge subs complete ...
  pause
  REM exit